﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csSample2010
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            label1.Text = Rs.Open().ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ShowSentMessage("送信中");
            label1.Text = Rs.Write(textBox1.Text).ToString();
        }

        private void Rs_Com(object sender, Aoyama.Rs232.RecEventArgs e)
        {
            AddMessage add = new AddMessage(ShowMessage);
            string s = e.RecValue;
            label1.Invoke(add, s);
        }

        public delegate void AddMessage(string message);

        private void ShowMessage(string message)
        {
            lblRec.Text = message;
        }

        private void ShowSentMessage(string message)
        {
            lblSent.Text = message;
        }

        private void Rs_Event(object sender, Aoyama.Rs232.ComEventArgs e)
        {
            AddMessage add = new AddMessage(ShowSentMessage);
            string s = "送信完了";
            lblSent.Invoke(add, s);
        }

    }
}
